import * as actionTypes from './types';
import { IContent } from '@files-stack/core';
export declare type Action = ({
    type: actionTypes.SET_ROOTPATH;
    rootpath: string;
}) | ({
    type: actionTypes.CHANGE_DIRECTORY_EXPAND;
    resource: string;
    expand: boolean;
}) | ({
    type: actionTypes.REFRESH_DIRECTORY;
}) | ({
    type: actionTypes.SET_CHILDREN_COUNT;
    resource: string;
    children: string[];
}) | ({
    type: actionTypes.SELECT_FILE;
    resource: string;
}) | ({
    type: actionTypes.OPEN_FILE;
    resource: string;
}) | ({
    type: actionTypes.MUTATE_FILES;
    mutation: string;
    payload: any;
}) | ({
    type: actionTypes.MUTATE_FILES_COMPLETE;
}) | ({
    type: actionTypes.MUTATE_FILES_RESET;
}) | ({
    type: actionTypes.ADD_EDIT;
    content: IContent;
}) | ({
    type: actionTypes.REMOVE_EDIT;
    resource: string;
}) | ({
    type: actionTypes.SELECT_EDIT;
    resource: string;
}) | ({
    type: actionTypes.CHANGE_EDIT;
    newValue: string;
}) | ({
    type: actionTypes.SAVE_EDIT;
});
export declare const setRootpathAction: (rootpath: string) => Action;
export declare const changeDirectoryExpandAction: (resource: string, expand: boolean) => Action;
export declare const refreshDirectoryAction: () => Action;
export declare const setChildrenCountAction: (resource: string, children: string[]) => Action;
export declare const selectFileAction: (resource: string) => Action;
export declare const openFileAction: (resource: string) => Action;
export declare const resetMutateAction: () => Action;
export declare const completeMutateAction: () => Action;
export declare const mutateFileAction: (mutation: string, options: any) => Action;
export declare const addEditAction: (content: IContent) => Action;
export declare const removeEditAction: (resource: string) => Action;
export declare const selectEditAction: (resource: string) => Action;
export declare const changeEditAction: (newValue: string) => Action;
export declare const saveEditAction: () => Action;
