export { Store } from './Store';
import { IContent } from '@files-stack/core';
import { IEdit, IFileExpand, IFilesMutate } from '@files-stack/client-core';
export declare const reducers: {
    '@files/expand': (state: IFileExpand[], action: {
        type: "@@files-stack/SET_ROOTPATH";
        rootpath: string;
    } | {
        type: "@@files-stack/CHANGE_DIRECTORY_EXPAND";
        resource: string;
        expand: boolean;
    } | {
        type: "@@files-stack/REFRESH_DIRECTORY";
    } | {
        type: "@@files-stack/SET_CHILDREN_COUNT";
        resource: string;
        children: string[];
    } | {
        type: "@@files-stack/SELECT_FILE";
        resource: string;
    } | {
        type: "@@files-stack/OPEN_FILE";
        resource: string;
    } | {
        type: "@@files-stack/MUTATE_FILES";
        mutation: string;
        payload: any;
    } | {
        type: "@@files-stack/MUTATE_FILES_COMPLETE";
    } | {
        type: "@@files-stack/MUTATE_FILES_RESET";
    } | {
        type: "@@files-stack/ADD_EDIT";
        content: IContent;
    } | {
        type: "@@files-stack/REMOVE_EDIT";
        resource: string;
    } | {
        type: "@@files-stack/SELECT_EDIT";
        resource: string;
    } | {
        type: "@@files-stack/CHANGE_EDIT";
        newValue: string;
    } | {
        type: "@@files-stack/SAVE_EDIT";
    }) => IFileExpand[];
    '@files/selectedResource': (state: string, action: {
        type: "@@files-stack/SET_ROOTPATH";
        rootpath: string;
    } | {
        type: "@@files-stack/CHANGE_DIRECTORY_EXPAND";
        resource: string;
        expand: boolean;
    } | {
        type: "@@files-stack/REFRESH_DIRECTORY";
    } | {
        type: "@@files-stack/SET_CHILDREN_COUNT";
        resource: string;
        children: string[];
    } | {
        type: "@@files-stack/SELECT_FILE";
        resource: string;
    } | {
        type: "@@files-stack/OPEN_FILE";
        resource: string;
    } | {
        type: "@@files-stack/MUTATE_FILES";
        mutation: string;
        payload: any;
    } | {
        type: "@@files-stack/MUTATE_FILES_COMPLETE";
    } | {
        type: "@@files-stack/MUTATE_FILES_RESET";
    } | {
        type: "@@files-stack/ADD_EDIT";
        content: IContent;
    } | {
        type: "@@files-stack/REMOVE_EDIT";
        resource: string;
    } | {
        type: "@@files-stack/SELECT_EDIT";
        resource: string;
    } | {
        type: "@@files-stack/CHANGE_EDIT";
        newValue: string;
    } | {
        type: "@@files-stack/SAVE_EDIT";
    }) => string;
    '@files/rootpath': (state: string, action: {
        type: "@@files-stack/SET_ROOTPATH";
        rootpath: string;
    } | {
        type: "@@files-stack/CHANGE_DIRECTORY_EXPAND";
        resource: string;
        expand: boolean;
    } | {
        type: "@@files-stack/REFRESH_DIRECTORY";
    } | {
        type: "@@files-stack/SET_CHILDREN_COUNT";
        resource: string;
        children: string[];
    } | {
        type: "@@files-stack/SELECT_FILE";
        resource: string;
    } | {
        type: "@@files-stack/OPEN_FILE";
        resource: string;
    } | {
        type: "@@files-stack/MUTATE_FILES";
        mutation: string;
        payload: any;
    } | {
        type: "@@files-stack/MUTATE_FILES_COMPLETE";
    } | {
        type: "@@files-stack/MUTATE_FILES_RESET";
    } | {
        type: "@@files-stack/ADD_EDIT";
        content: IContent;
    } | {
        type: "@@files-stack/REMOVE_EDIT";
        resource: string;
    } | {
        type: "@@files-stack/SELECT_EDIT";
        resource: string;
    } | {
        type: "@@files-stack/CHANGE_EDIT";
        newValue: string;
    } | {
        type: "@@files-stack/SAVE_EDIT";
    }) => string;
    '@files/refresh': (state: number, action: {
        type: "@@files-stack/SET_ROOTPATH";
        rootpath: string;
    } | {
        type: "@@files-stack/CHANGE_DIRECTORY_EXPAND";
        resource: string;
        expand: boolean;
    } | {
        type: "@@files-stack/REFRESH_DIRECTORY";
    } | {
        type: "@@files-stack/SET_CHILDREN_COUNT";
        resource: string;
        children: string[];
    } | {
        type: "@@files-stack/SELECT_FILE";
        resource: string;
    } | {
        type: "@@files-stack/OPEN_FILE";
        resource: string;
    } | {
        type: "@@files-stack/MUTATE_FILES";
        mutation: string;
        payload: any;
    } | {
        type: "@@files-stack/MUTATE_FILES_COMPLETE";
    } | {
        type: "@@files-stack/MUTATE_FILES_RESET";
    } | {
        type: "@@files-stack/ADD_EDIT";
        content: IContent;
    } | {
        type: "@@files-stack/REMOVE_EDIT";
        resource: string;
    } | {
        type: "@@files-stack/SELECT_EDIT";
        resource: string;
    } | {
        type: "@@files-stack/CHANGE_EDIT";
        newValue: string;
    } | {
        type: "@@files-stack/SAVE_EDIT";
    }) => number;
    '@files/mutate': (state: IFilesMutate, action: {
        type: "@@files-stack/SET_ROOTPATH";
        rootpath: string;
    } | {
        type: "@@files-stack/CHANGE_DIRECTORY_EXPAND";
        resource: string;
        expand: boolean;
    } | {
        type: "@@files-stack/REFRESH_DIRECTORY";
    } | {
        type: "@@files-stack/SET_CHILDREN_COUNT";
        resource: string;
        children: string[];
    } | {
        type: "@@files-stack/SELECT_FILE";
        resource: string;
    } | {
        type: "@@files-stack/OPEN_FILE";
        resource: string;
    } | {
        type: "@@files-stack/MUTATE_FILES";
        mutation: string;
        payload: any;
    } | {
        type: "@@files-stack/MUTATE_FILES_COMPLETE";
    } | {
        type: "@@files-stack/MUTATE_FILES_RESET";
    } | {
        type: "@@files-stack/ADD_EDIT";
        content: IContent;
    } | {
        type: "@@files-stack/REMOVE_EDIT";
        resource: string;
    } | {
        type: "@@files-stack/SELECT_EDIT";
        resource: string;
    } | {
        type: "@@files-stack/CHANGE_EDIT";
        newValue: string;
    } | {
        type: "@@files-stack/SAVE_EDIT";
    }) => IFilesMutate;
    '@files/edit': (state: IEdit, action: {
        type: "@@files-stack/SET_ROOTPATH";
        rootpath: string;
    } | {
        type: "@@files-stack/CHANGE_DIRECTORY_EXPAND";
        resource: string;
        expand: boolean;
    } | {
        type: "@@files-stack/REFRESH_DIRECTORY";
    } | {
        type: "@@files-stack/SET_CHILDREN_COUNT";
        resource: string;
        children: string[];
    } | {
        type: "@@files-stack/SELECT_FILE";
        resource: string;
    } | {
        type: "@@files-stack/OPEN_FILE";
        resource: string;
    } | {
        type: "@@files-stack/MUTATE_FILES";
        mutation: string;
        payload: any;
    } | {
        type: "@@files-stack/MUTATE_FILES_COMPLETE";
    } | {
        type: "@@files-stack/MUTATE_FILES_RESET";
    } | {
        type: "@@files-stack/ADD_EDIT";
        content: IContent;
    } | {
        type: "@@files-stack/REMOVE_EDIT";
        resource: string;
    } | {
        type: "@@files-stack/SELECT_EDIT";
        resource: string;
    } | {
        type: "@@files-stack/CHANGE_EDIT";
        newValue: string;
    } | {
        type: "@@files-stack/SAVE_EDIT";
    }) => IEdit;
};
